function init(hero) {
    hero.setName("Batman/\u00A76\u00A7lUHP\u00A7r");
    hero.setVersion("The Batman");
    hero.setTier(3);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addEquipment("fiskheroes:black_canarys_tonfas");
    hero.addEquipment("fiskheroes:bo_staff");
    hero.addEquipment("fiskheroes:prometheus_sword");
    hero.addEquipment("fiskheroes:grappling_gun");
    
    hero.addPowers("uhp:tactical_batsuit");
	
    hero.addAttribute("FALL_RESISTANCE", 5.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 6.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.20, 1);
    hero.addAttribute("IMPACT_DAMAGE", 0.50, 1);
    hero.addAttribute("WEAPON_DAMAGE", 2.5, 0);

    hero.addKeyBind("UTILITY_BELT", "Toggle Utility Belt", 1);
    hero.addKeyBind("AIM", "key.aim", 2);

    hero.setHasPermission(hasPermission);
    hero.supplyFunction("canAim", canAim);

}

function hasPermission(entity, permission) {
    return permission == "USE_GRAPPLING_GUN";
}

function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:grappling_gun";
}